<?php
require 'db1.php'; // Incluye el archivo de conexión a la base de datos


date_default_timezone_set('America/Guayaquil');
// Agregar los encabezados para desactivar la caché
header("Cache-Control: no-cache, no-store, must-revalidate");
header("Pragma: no-cache");
header("Expires: 0");

// Endpoint para obtener datos de la tabla usuario
if ($_SERVER['REQUEST_METHOD'] === 'GET') {

    if (isset($_GET['usr_id'])) {
        $usr_id = $_GET['usr_id'];

        $query = "SELECT * FROM usuario_rol WHERE usr_id = ?";
        $stmt = $conn->prepare($query);
        $stmt->execute([$usr_id]);

        $data = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($data) {
            echo json_encode($data);
        } else {
            echo json_encode(array("message" => "No se encontró ninguna dato"));
        }
    } 
    else if (isset($_GET['usu_id'])) {
        $usu_id = $_GET['usu_id'];

        $query = "SELECT * FROM usuario_rol WHERE usu_id = ?";
        $stmt = $conn->prepare($query);
        $stmt->execute([$usu_id]);

        $data = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if ($data) {
            echo json_encode($data);
        } else {
            echo json_encode(array("message" => "No se encontró ninguna dato"));
        }
    }
    else if (isset($_GET['rol_id'])) {
        $usu_id = $_GET['rol_id'];

        $query = "SELECT * FROM usuario_rol WHERE rol_id = ?";
        $stmt = $conn->prepare($query);
        $stmt->execute([$usu_id]);

        $data = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if ($data) {
            echo json_encode($data);
        } else {
            echo json_encode(array("message" => "No se encontró ninguna dato"));
        }
    }
    else if (isset($_GET['rol_id'])) {
        $rol_id = $_GET['rol_id'];

        $query = "SELECT u.* FROM 
                    usuario u 
                    join usuario_rol ur on ur.usu_id=u.usu_id
                    where rol_id = ?";
        $stmt = $conn->prepare($query);
        $stmt->execute([$rol_id]);

        $data = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if ($data) {
            echo json_encode($data);
        } else {
            echo json_encode(array("message" => "No se encontró ninguna persona con esa rol"));
        }
    }
    else {

    $query = "SELECT * FROM usuario_rol";
    $stmt = $conn->prepare($query);
    $stmt->execute();
    
    $data = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    echo json_encode($data);
}
}

// Endpoint para insertar datos en la tabla usuario
// Endpoint para insertar datos en la tabla usuario
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = json_decode(file_get_contents('php://input'), true);

    $rol_id = $data['rol_id'];
    $usu_id = $data['usu_id'];
    $usr_fecha_creacion = date('Y-m-d H:i:s'); 
    $usr_fecha_modificacion = date('Y-m-d H:i:s'); 
    $usr_estado = 1; // Estado por defecto

    $query = "INSERT INTO usuario_rol (
        rol_id,
        usu_id,
        usr_fecha_creacion,
        usr_fecha_modificacion,
        usr_estado
    ) VALUES (?, ?, ?, ?, ?)";

    $stmt = $conn->prepare($query);
    $stmt->execute([
        $rol_id,
        $usu_id,
        $usr_fecha_creacion,
        $usr_fecha_modificacion,
        $usr_estado
    ]);

    $insertedId = $conn->lastInsertId(); // Obtén el ID del último registro insertado

    echo json_encode(array("message" => "Registro insertado con ID: $insertedId", "insertedId" => $insertedId));
}


$conn = null;
?>